<!DOCTYPE html>
<html lang="en">
	<head>
		<!-- Set the content type and structure to ensure wide compatibility -->
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

		<!-- Set the viewport to take up the full device size, at default scale and explicitly allow user to zoom as needed. -->
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=yes" />

		<!-- Run code to handle behavior that needs to happen before the initial visual presentation. -->
		<script>
			// Sets the theme of the page based on the browser and users preferences.
			const applyTheme = async function()
			{
				// Get the users selected theme, if any.
				const selectedTheme = localStorage.getItem('theme');

				// If the user has not made an active choice of theme..
				if(!selectedTheme)
				{
					// Look up the users browsers preference for darkmode.
					const prefersDarkmode = window.matchMedia('(prefers-color-scheme: dark)').matches;

					// Since light mode is default, set darkmode only if requested.
					if(prefersDarkmode)
					{
						document.querySelector('html').classList.add('darkmode');
					}
				}
				// Since light mode is default, set darkmode only if selected.
				else if(selectedTheme === 'dark')
				{
					document.querySelector('html').classList.add('darkmode');
				}
			}

			// Toggles the current theme to/from darkmode and stores the users theme selection.
			const toggleTheme = async function()
			{
				// Change to/from darkmode.
				document.querySelector('html').classList.toggle('darkmode');

				// Look up the users selected theme.
				const currentlyDarkTheme = document.querySelector('html').classList.contains('darkmode');

				// Store the user theme selection.
				if(currentlyDarkTheme)
				{
					localStorage.setItem('theme', 'dark');
				}
				else
				{
					localStorage.setItem('theme', 'light');
				}
			}

			// Apply the initial theme based on the users selection, or the users browser preference.
			// TODO: Re-enable this when dark theme has been configured properly.
			// applyTheme();
		</script>

		<!-- favicon logo -->
		<link rel="shortcut icon" href="favicon.png" />

		<!-- Include roboto font family to ensure consistency across devices. -->
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Roboto&family=Roboto+Mono&display=swap" rel="stylesheet">

		<!-- Include the visual design of the page before initial presentation -->
		<link rel='stylesheet' type='text/css' href='index.css' />

		<!-- Website metadata -->
		<title>Hop to and from SmartBCH</title>
		<meta property="og:title" content="Hop to and from SmartBCH" />
		<meta property="og:description" content="hop.cash two-way custodial bridge between BitcoinCash and SmartBCH." />
		<meta property="og:type" content="website" />
		<meta property="og:url" content="https://hop.cash/" />
		<meta property="og:image" content="hopcash.png" />
		<meta property="og:image:alt" content="Hop.cash logo image." />
		<meta property="og:article:section" content="Technology" />
		<meta property="og:article:tag" content="Bitcoin" />
		<meta property="og:article:tag" content="Bitcoin Cash" />
		<meta property="og:article:tag" content="BCH" />
		<meta property="og:article:tag" content="Cryptocurrencies" />
	</head>
	<body>
		<!-- Page header that is always visible, with logo and language selection. -->
		<img id='logo' src='logo.png' alt='HopCash Logo' />
		<nav id='header'>
			<ul>
				<li class='selected'>🇬🇧 English</li>
				<li>🇨🇳 中文</li>
				<li>🇪🇸 Español</li>
			</ul>
		</nav>

		<!-- Main page content, separated into views that can be toggled on or off. -->
		<main class='showProposal showRequirements'>
			<!-- Requirement overlay, shown when the metamask wallet requirements are not met. -->
			<section id='requirements'>
				<ul>
					<li id='maintainance' class='pending'>
						<button>
							<span>Hop.cash is not in service</span>
						</button>
					</li>
				</ul>
			</section>

			<!-- Proposal view, the main bridge presentation where the user can provide their bridge intent to get started. -->
			<section id='proposal'>
				<form onsubmit='return false;'>
					<input type="radio" name="proposedDirection" id='proposedDirectionToSmart' value="cash2smart" checked>
					<input type="radio" name="proposedDirection" id='proposedDirectionToCash' value="smart2cash">

					<fieldset id='proposalDirection'>
						<div id='proposedFromDirection'>
							<label>From:</label>
							<button type='button'>
								<img src='bitcoincash.png' alt='From chain' />
								<span>Bitcoin&nbsp;Cash</span>
							</button>
						</div>
						<div id='toggleDirection'>
							<span class='--direction'></span>
						</div>
						<div id='proposedToDirection'>
							<label>To:</label>
							<button type='button'>
								<img src='smartbch.png' alt='To chain' />
								<span>Smart&nbsp;BCH</span>
							</button>
						</div>
					</fieldset>

					<fieldset>
						<div id='proposedBridgeAmount'>
							<label>Amount (BCH):</label>
							<input name='proposedBridgeAmount' type='number' required min='0.01' max='0.01' step='0.00000001' placeholder='Enter bridge amount..' />
							<small>
								<span>Minimum <b id='minBridgeAmount'>0.01</b> BCH</span>
								<span>maximum <b id='maxBridgeAmount'>0.01</b> BCH</span>
							</small>
						</div>
						<div id='proposedPayoutAddress'>
							<label>Recipient:</label>
							<input name='proposedPayoutAddress' type='text' spellcheck='false' required readonly placeholder='Enter receiving address..' />
							<small>This is your MetaMask account address.</small>
						</div>
					</fieldset>

					<fieldset>
						<div id='confirmBridgeRequest'>
							<button type='submit'>
								<span>Bridge <b id='selectedBridgeAmount'>0.00</b> BCH</span>
								<span><small id='bridgeEstimatedTime'>(Cannot bridge during maintainance)</small></span>
							</button>
						</div>
					</fieldset>
				</form>
			</section>
		</main>

		<!-- Page footer that is always visible, showing fee rate and social media links. -->
		<nav id='footer'>
			<ul>
				<li>
					<span>Fee: <b>0.1%</b> (min <b>0.0001</b> BCH)</span>
				</li>
				<li>
					<a href='https://twitter.com/hopdotcash' target="_blank">
						<img src='twitter.png' alt='news' />
					</a>
				</li>
				<li>
					<a href='https://t.me/hopcash' target="_blank">
						<img src='telegram.png' alt='chat' />
					</a>
				</li>
				<li>
					<a href='faq.html' target="_blank">
						<img src='questionmark.png' alt='help' />
					</a>
				</li>
			</ul>
		</nav>
	</body>
</html>
